Subject: bug#32986: 27.0.50; unexpected delay in while-no-input + accept-process-output

From: Dmitry Gutov <[email-masked]>
Date: Fri, 14 Dec 2018 01:14:20 +0200

On 12.12.2018 23:42, João Távora wrote:
> Indeed, I developed this for `company-capf`-based backends.

I imagine the chief drawback of this approach is if the user would try 
to "group" several backends like this, Company style.

CAPF has no handy way to do this, but we could add a macro in the 
future, and anyway, it's already possible to do this by means of 
function composition. It would be handy if, when we get to this point, 
several completion tables like this could fetch their completions 
simultaneously.

Just something to think about, for the future. In the meantime, LSP 
style with a smart server and one backend working with it is probably 
good enough for >90% users anyway.